package com.example.venue_reservation_service.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 
 * @TableName venue_balance
 */
@TableName(value ="venue_balance")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class Balance implements Serializable {
    /**
     * 编号，主键
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 余额
     */
    private Double balance;

    /**
     * 对应用户编号
     */
    private Integer userId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    public Balance(Double balance, Integer userId) {
        this.balance = balance;
        this.userId = userId;
    }
}