package com.example.venue_reservation_service.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serial;
import java.io.Serializable;
import lombok.Data;

/**
 * 
 * &#064;TableName  venue_institution
 */
@TableName(value ="venue_institution")
@Data
public class Institution implements Serializable {
    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 单位名称
     */
    private String name;

    /**
     * 类型
     */
    private String type;

    @Serial
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}