package com.example.venue_reservation_service.service;

import com.example.venue_reservation_service.domain.Question;
import com.baomidou.mybatisplus.extension.service.IService;
import com.example.venue_reservation_service.dto.QuestionDTO;
import com.example.venue_reservation_service.dto.QuestionQueryDTO;
import com.example.venue_reservation_service.vo.Result;

/**
* @author 31586
* @description 针对表【venue_question(用户答疑记录表)】的数据库操作Service
* @createDate 2025-06-21 14:15:36
*/
public interface QuestionService extends IService<Question> {

    Result create(QuestionDTO dto);

    Result userPage(QuestionQueryDTO dto);

    Result adminPage(QuestionQueryDTO dto);
}
