package com.example.venue_reservation_service.service;

import com.example.venue_reservation_service.domain.Type;
import com.baomidou.mybatisplus.extension.service.IService;
import com.example.venue_reservation_service.dto.PageDTO;
import com.example.venue_reservation_service.vo.Result;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
* @author 31586
* @description 针对表【venue_type】的数据库操作Service
* @createDate 2024-11-27 20:30:46
*/
public interface TypeService extends IService<Type> {

    Result queryTypes(PageDTO dto);

    Result addType(Type type);

    String loadImg(Integer tid);

    Result upload(Integer id, MultipartFile file);

    Result updateType(Type type);

    Result getNames();

    Result delType(Integer id);



}
