package com.example.venue_reservation_service.service;

import com.example.venue_reservation_service.domain.VenueLog;
import com.baomidou.mybatisplus.extension.service.IService;
import com.example.venue_reservation_service.dto.PageDTO;
import com.example.venue_reservation_service.vo.Result;

/**
* @author 31586
* @description 针对表【venue_log(系统操作日志表)】的数据库操作Service
* @createDate 2025-03-19 16:15:18
*/
public interface VenueLogService extends IService<VenueLog> {

    void saveLog(VenueLog log);

    Result queryLogs(PageDTO dto, String key);
}
