package com.example.venue_reservation_service.dcpint.oaemail;

import com.example.venue_reservation_service.dcpint.util.IfsDcpIntUtils;

import java.util.HashMap;
import java.util.Map;


public class IfsDcpIntOAEmailTest {

	public static void main(String[] args) throws Exception {
		String content="根据校人事处拟定的2017年度单月工资（第13月工资<br/>）发放标准，您本次发款的明细如下：<br/>    1、应发金额：   3121.00元，（岗位工资+薪级工资<br/>（中小学教师、护士提高10%））；<br/>    2、扣公积金：    974.00元，（以12月公积金为标<br/>准）；<br/>    3、扣个人所得税：     64.41元，（按3%扣税）；<br/>；<br/>    4、实发金额：   2082.59元，（应发金额<br/>-公积金-个人所得税）。<br/><br/><br/><br/>                    计划财务处<br/>                   2017年12月19日<br/>";
	//	System.out.println(content);
		String param="<param>"
				+ "<module>OAEmail</module>"
				+ "<method>saveNewEmailPersonal</method>"
				+"<sender>2547</sender>"
				+ "<receiver>2547,2547</receiver>"
				+"<title>标题</title>"
				+"<content>"+content+"</content>";
		
		param= IfsDcpIntUtils.desEncode(param);
		Map<String, String> params = new HashMap<String, String>();
		//注意：参数名"clienttype","name"和"param"不能变
		params.put("clienttype", "java");
		params.put("name", "thirdpartytest");
	    params.put("param", param);
	   /*返回值说明
	    (1)正确的返回为：{"success":true,"message":true}
	    (2)错误的返回为：{"success":false,"message":"具体消息内容"}
	             比如，具体消息内容可能包含“没有此服务接口”，“请求IP不在定义的范围”，“参数不合法”,...。	 
	             具体判断可以简单以返回串不包含false字符串为成功标志。
	    */
	    String result = IfsDcpIntUtils.httpPostRequest(params);
	    System.out.println("result：" + result);

	}

}
