package com.example.venue_reservation_service.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import lombok.Data;

/**
 * 
 * @TableName venue_price
 */
@TableName(value ="venue_price")
@Data
public class Price implements Serializable {
    /**
     * 编号，主键
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 使用价格（每半个小时）
     */
    private Double price;

    /**
     * 对应场地编号
     */
    private Integer venueId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}