package com.example.venue_reservation_service.exception;


/**
 * 身份认证业务异常
 */
public class IdentityException extends RuntimeException {
    private final String errorCode;

    public IdentityException(String message) {
        super(message);
        this.errorCode = "IDENTITY_001"; // 默认为通用身份认证错误码
    }

    public IdentityException(String errorCode, String message) {
        super(message);
        this.errorCode = errorCode;
    }

    public String getErrorCode() {
        return errorCode;
    }
}