package com.example.venue_reservation_service.mapper;

import com.example.venue_reservation_service.domain.Institution;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author 31586
* @description 针对表【venue_institution】的数据库操作Mapper
* @createDate 2025-06-19 14:40:51
* @Entity generator.domain.Institution
*/
@Mapper
public interface InstitutionMapper extends BaseMapper<Institution> {
    /**
     * 根据类型查询机构列表（支持空值查询所有）
     * @param type 机构类型（可为空）
     * @return 机构列表
     */
    List<String> selectByType(@Param("type") String type);
}




